/*
 * Program to make header file for filter.c
 *          0
 * usage: makehdr - produce fontbody.h
 *
 * Fixed by Vadim Maslov vadik@cs.umd.edu. Dec. 30, 1994.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>

#ifdef UNIX
#define open_flags "r"
#else
#define open_flags "rb"
#endif

typedef unsigned char byte;

int     print_font_buffer(/* int ifile, char *name */);
byte    font_buffer[8096];

main()
{
        FILE *fh1, *fh2, *fh3;
        int c;

        fh1 = fopen("pcnormal.fnt", open_flags);
        if(fh1 == NULL) {
            fprintf(stderr, "Cannot open file pcnormal.fnt\n");
            exit(1);
        }

        fh2 = fopen("pcbold.fnt", open_flags);
        if(fh2 == NULL) {
            fprintf(stderr, "Cannot open file pcbold.fnt\n");
            exit(1);
        }

        fh3 = fopen("fontbody.h", "w");
        if(fh3 == NULL) {
            fprintf(stderr, "Cannot open file fontbody.h\n");
            exit(1);
        }


        c = fread(font_buffer,1,4096,fh1);
        if(c != 4096) {
            fprintf(stderr, "Cannot read file pcnormal.fnt\n");
            exit(1);
        }
    	print_font_buffer(fh3,"PC8x16_thik");

        c = fread(font_buffer,1,4096,fh2);
        if(c != 4096) {
            fprintf(stderr, "Cannot read file pcbold.fnt\n");
            exit(1);
        }
    	print_font_buffer(fh3,"PC8x16_bold");

        fclose(fh1);
        fclose(fh2);
    	fclose(fh3);

	exit(0); 
}


int     print_font_buffer(ifile,name)
FILE  *ifile;
char *name;
{	int _index; byte *ptr;
	ptr = font_buffer;
	fprintf(ifile,"byte %s[] = {\n",name);
	for(_index=0;_index<4096;_index++){
       if(_index != 4095)  fprintf(ifile,"0x%02x,",(unsigned char)*ptr);
	   else
          fprintf(ifile,"0x%02x ",(unsigned char)*ptr);
	   if((_index!=0)&&((_index % 16)==0)) fprintf(ifile,"\n");
	   ptr++;
	}
	fprintf(ifile,"};\n\n");

}
